> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chartbrew.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

> Example section for showcasing API endpoints

You can use Chartbrew's API to create, read, update, and delete charts, dashboards, and more.
To authenticate your requests, you'll need to create an API key in Chartbrew.

<Card title="Create an API key" icon="code" href="https://chartbrew.com/blog/how-to-create-api-keys-in-chartbrew/">
  Learn how to create an API key in Chartbrew
</Card>

<Card title="Stay up to date" icon="bell" href="https://app.notocat.com/sub/frm_m-JUS_kzyb929tLSegFUF">
  Subscribe to our newsletter to stay up to date with the latest changes in the API.
  We will only email you important updates such as deprecations, breaking changes, and new features.
</Card>

## Authentication

All API endpoints are authenticated using Bearer tokens added to the header of your request.

Example request:

```bash theme={null}
curl -X GET "https://api.chartbrew.com/project/65342" \
-H "Authorization: Bearer YOUR_API_KEY"
```

## Main endpoint

If you're using our managed service, the main endpoint is `https://api.chartbrew.com`.

If you're self-hosting Chartbrew, update the endpoint to your own.

This documentation site will use the managed service endpoint for the examples.

## Documentation notices

The is a `What is a...` section for each endpoint. This is where you can learn how
each resource works and how to use them.
